Skip to main content
PATCH
/
v1
/
notification
/
webhook
/
{id}
Update notification webhook
curl --request PATCH \
  --url https://api.wirespeed.co/v1/notification/webhook/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "enabled": true,
  "notificationTypes": []
}
'
{
  "id": "<string>",
  "teamId": "<string>",
  "name": "<string>",
  "url": "<string>",
  "enabled": true,
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "notificationTypes": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Webhook identifier

Body

application/json
name
string
url
string
enabled
boolean
notificationTypes
enum<string>[]

Notification types that trigger this webhook. Null/omitted means all types.

Available options:
NEW_CASE_ESCALATION,
NEW_SECURITY_EVENT,
NEW_CRITICAL_DEFECT,
ACCOUNT_SUMMARY,
INTEGRATION_HEALTH

Response

id
string
required
teamId
string
required
name
string
required
url
string
required
enabled
boolean
required
createdAt
string
required
updatedAt
string
required
notificationTypes
enum<string>[] | null
Available options:
NEW_CASE_ESCALATION,
NEW_SECURITY_EVENT,
NEW_CRITICAL_DEFECT,
ACCOUNT_SUMMARY,
INTEGRATION_HEALTH